Skip to main content
GET
/
valorant
/
v2
/
esports
/
vlr
/
matches
/
{match_id}
cURL
curl --request GET \
  --url https://api.henrikdev.xyz/valorant/v2/esports/vlr/matches/{match_id}
import requests

url = "https://api.henrikdev.xyz/valorant/v2/esports/vlr/matches/{match_id}"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.henrikdev.xyz/valorant/v2/esports/vlr/matches/{match_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "games": [
      {
        "map": "<string>",
        "rounds": [
          {
            "round": 1,
            "winning_site": "<string>",
            "winning_team": 1
          }
        ],
        "teams": [
          {
            "is_winner": true,
            "name": "<string>",
            "players": [
              {
                "agent": "<string>",
                "player": {
                  "id": 1,
                  "name": "<string>",
                  "nation": "<string>",
                  "slug": "<string>"
                },
                "stats": {
                  "acs": 1,
                  "adr": 123,
                  "assists": 1,
                  "deaths": 1,
                  "first_deaths": 1,
                  "first_kills": 1,
                  "fk_diff": 123,
                  "hs_pct": 123,
                  "kast": 123,
                  "kd_diff": 123,
                  "kills": 1,
                  "rating": 123
                }
              }
            ],
            "score": 1,
            "score_ct": 1,
            "score_t": 1
          }
        ],
        "duration_in_s": 1,
        "picked_by": 1
      }
    ],
    "head_to_head": [
      {
        "date": "<string>",
        "event": {
          "icon": "<string>",
          "name": "<string>",
          "series": "<string>"
        },
        "match": {
          "id": 1,
          "slug": "<string>"
        },
        "score": {
          "team_1": 1,
          "team_2": 1,
          "winner_team": 1
        }
      }
    ],
    "metadata": {
      "date": "<string>",
      "event": {
        "icon": "<string>",
        "id": 1,
        "series": "<string>",
        "slug": "<string>",
        "title": "<string>"
      },
      "format": "<string>",
      "note": "<string>",
      "patch": "<string>",
      "status": "<string>"
    },
    "past_matches": [
      {
        "matches": [
          {
            "date": "<string>",
            "is_win": true,
            "match": {
              "id": 1,
              "slug": "<string>"
            },
            "opponent": {
              "logo": "<string>",
              "name": "<string>"
            },
            "score": {
              "against": 1,
              "for": 1
            }
          }
        ],
        "team": 1
      }
    ],
    "streams": [
      {
        "link": "<string>",
        "name": "<string>"
      }
    ],
    "teams": [
      {
        "icon": "<string>",
        "id": 1,
        "name": "<string>",
        "slug": "<string>",
        "url": "<string>",
        "score": 1
      }
    ],
    "vods": [
      {
        "link": "<string>",
        "name": "<string>"
      }
    ],
    "economy": {
      "teams": [
        {
          "eco": {
            "rounds": 1,
            "won": 1
          },
          "full_buy": {
            "rounds": 1,
            "won": 1
          },
          "pistol_won": 1,
          "semi_eco": {
            "rounds": 1,
            "won": 1
          },
          "team_name": "<string>"
        }
      ]
    },
    "performance": {
      "kill_matrix": [
        {
          "deaths": 1,
          "killer": 1,
          "kills": 1,
          "victim": 1
        }
      ],
      "player_performances": [
        {
          "clutches": {
            "1v1": 1,
            "1v2": 1,
            "1v3": 1,
            "1v4": 1,
            "1v5": 1
          },
          "defuses": 1,
          "econ_rating": 1,
          "multi_kills": {
            "2k": 1,
            "3k": 1,
            "4k": 1,
            "5k": 1
          },
          "plants": 1,
          "player": {
            "id": 1,
            "name": "<string>"
          }
        }
      ]
    }
  },
  "status": 1
}
{
"errors": [
{
"code": 1,
"message": "<string>",
"status": 1,
"details": "<unknown>"
}
]
}
{
"errors": [
{
"code": 1,
"message": "<string>",
"status": 1,
"details": "<unknown>"
}
]
}

Path Parameters

match_id
integer<int32>
required
Required range: x >= 0

Response

Esports match details retrieved successfully

data
object
required
status
integer<int32>
required
Required range: x >= 0